# Código de Conduta

Este código de conduta delineia nossas expectativas para os participantes dentro da comunidade, bem como as etapas para relatar comportamento inaceitável. Estamos comprometidos em fornecer uma comunidade acolhedora e inspiradora para todos e esperamos que nosso código de conduta seja honrado. Qualquer pessoa que viole este código de conduta pode ser banida da comunidade.


## Nosso Compromisso

No interesse de promover um ambiente aberto e acolhedor, nós, como colaboradores e mantenedores, comprometemo-nos a tornar a participação em nosso projeto e em nossa comunidade uma experiência livre de assédio para todos, independentemente da idade, tamanho do corpo, deficiência, etnia, identidade e expressão de gênero, nível de experiência, nacionalidade, aparência pessoal, raça, religião, status social e econômico ou identidade e orientação sexual.

## O que acreditamos e como agimos 

- Nossa comunidade é baseada no respeito mútuo, tolerância e encorajamento.
- Acreditamos que uma comunidade diversificada onde as pessoas se tratam com respeito é mais forte, mais vibrante e tem mais contribuintes em potencial e mais fontes de ideias. 
- Nosso objetivo é ter mais diversidade.
- Somos gentis, acolhedores e corteses com todos.
- Somos respeitosos com os outros, suas posições, suas habilidades, seus compromissos e seus esforços.
- Respeitamos que as pessoas tenham diferenças de opinião.
- Estamos atentos às nossas comunicações, seja pessoalmente ou on-line, e temos o cuidado de abordar pontos de vista diferentes.
- Estamos conscientes de que a linguagem molda a realidade. Assim, usamos linguagem inclusiva e neutra em termos de gênero nos documentos que fornecemos e quando falamos com as pessoas.
- Ao nos referirmos a um grupo de pessoas, pretendemos usar termos neutros de gênero, como "equipe", "pessoal", "todos". (Para detalhes, recomendamos este post).

## Exemplos de NÃOs:

- Não seja malvado ou grosseiro.
- Não discrimine ninguém.
- O sexismo e racismo de qualquer tipo (incluindo “piadas” sexistas e racistas), humilhando ou insultando o comportamento e o assédio são vistos como violações diretas a este Código de Conduta. O assédio inclui comentários verbais ofensivos relacionados a idade, tamanho do corpo, cultura, etnia, expressão de gênero, identidade de gênero, nível de experiência, nacionalidade, capacidade ou deficiência pessoal, aparência física, diferença física ou mental, raça, religião, conjunto de habilidades orientação, status social e econômico. O assédio também inclui imagens sexuais em espaços públicos, intimidação deliberada, perseguição, fotografia ou gravação de assédio, contato físico inadequado e atenção sexual indesejada.
- Respeite que alguns indivíduos e culturas consideram o uso ocasional de palavrões ofensivo e desconcertante.
- Desvios, argumentos de tom e outras formas de jogar com os desejos das pessoas de serem gentis não são bem-vindos, especialmente em discussões sobre violações a este Código de Conduta.
- Por favor, evite críticas não construtivas.
- Da mesma forma, qualquer spamming, trolling, flaming, baiting ou outro comportamento de roubo de atenção não é bem-vindo.
- Patrocinadores do vindi-magento2 também estão sujeitos a este Código de Conduta. Em particular, os patrocinadores são obrigados a não usar imagens sexualizadas, atividades ou outro material que não esteja de acordo com este Código de Conduta.

## Nossas Responsabilidades

Os mantenedores do projeto são responsáveis por esclarecer os padrões de comportamento aceitável e devem tomar medidas corretivas apropriadas e justas em resposta a quaisquer casos de comportamento inaceitável.

Os mantenedores do projeto têm o direito e a responsabilidade de remover, editar ou rejeitar comentários, commits, códigos, edições do wiki, questões e outras contribuições que não estejam alinhadas a este Código de Conduta, ou banir temporariamente ou permanentemente qualquer colaborador por outros comportamentos que julgam inapropriado, ameaçador, ofensivo ou prejudicial.

## Escopo

Este Código de Conduta se aplica tanto nos espaços do projeto quanto nos espaços públicos quando um indivíduo está representando o projeto ou sua comunidade. Exemplos de representação de um projeto ou comunidade incluem o uso de um endereço de e-mail oficial do projeto, postagem por meio de uma conta oficial de mídia social ou a atuação como um representante nomeado em um evento on-line ou off-line. A representação de um projeto pode ser definida e esclarecida pelos mantenedores do projeto.

## Cumprimento

Casos de comportamento abusivo, ofensivo ou inaceitável podem ser relatados entrando em contato com a equipe do projeto em comunidade@vindi.com.br. A equipe do projeto analisará e investigará todas as reclamações e responderá da maneira que julgar apropriada às circunstâncias. A equipe do projeto é obrigada a manter a confidencialidade em relação ao relator de um incidente. Detalhes adicionais de políticas de execução específicas podem ser publicados separadamente. Esse código de conduta delineia nossas expectativas para os participantes da comunidade vindi-magento2, bem como as etapas para relatar comportamento inaceitável. Estamos comprometidos em fornecer uma comunidade acolhedora e inspiradora para todos e esperamos que nosso código de conduta seja honrado. Qualquer pessoa que viole este código de conduta pode ser banida da comunidade.

Os mantenedores do projeto que não seguem ou aplicam o Código de Conduta de boa fé podem enfrentar repercussões temporárias ou permanentes, conforme determinado por outros membros da liderança do projeto.

## Atribuição

Este Código de Conduta foi uma adaptação do [Contributor Covenant] [homepage], versão 1.4, disponível em [http://contributor-covenant.org/version/1/4][version]

[homepage]: http://contributor-covenant.org
[versão]: http://contributor-covenant.org/version/1/4/
